#include <iostream>
#include <vector>
#include<string>
using namespace std;
int main()
{
   string a;
   int j,m=0;
   cin>>a;
   vector<int>b(26);
   for(int i=0;i<a.size();i++)
   {
       j=i+1;
       while(a[i]==a[j]) j++;
       j-=i+1;
       b[a[i]-97]++;
       i=i+j;
   }
    for(int i=0;i<26;i++){
     if(b[i]>m)m=b[i];
    }
    cout<<m-1;
    return 0;
}